org.codehaus.groovy.runtime.m12n

## Class PropertiesModuleFactory

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory

- Direct Known Subclasses:
    StandardPropertiesModuleFactory

      public abstract class PropertiesModuleFactory
      extends java.lang.Object

  This is the base class for classes responsible for creating modules using properties.
  Since:
    2.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MODULE_NAME_KEY`
    `static java.lang.String` | `MODULE_VERSION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesModuleFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ExtensionModule` | `newModule(java.util.Properties properties, java.lang.ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE_NAME_KEY

          public static final java.lang.String MODULE_NAME_KEY

      See Also:
        Constant Field Values

    - #### MODULE_VERSION_KEY

          public static final java.lang.String MODULE_VERSION_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertiesModuleFactory

          public PropertiesModuleFactory()

  - ### Method Detail

    - #### newModule

          public abstract ExtensionModule newModule(java.util.Properties properties,
                                  java.lang.ClassLoader classLoader)